#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/hash_policy.hpp>
#define int long long
#define pll pair <int, int>
#define f first
#define s second
#define all(A) A.begin(), A.end()
#define rall(A) A.rbegin(), A.rend()
#define oset ordered_set
#define omultiset ordered_multiset
#define skip continue
#pragma GCC target("avx2")
#pragma GCC optmize("O3")
#pragma GCC optmize("unroll-loops")

using namespace std;
using namespace __gnu_pbds;

template <typename T> using ordered_set = tree<T, null_type, less<>, rb_tree_tag, tree_order_statistics_node_update>;
template <typename T> using ordered_multiset = tree<T, null_type, less_equal<>, rb_tree_tag, tree_order_statistics_node_update>;

const int N = 5e5 + 5, MOD = 998244353;
int precalc[N], b[N], a[N];
map <pll, int> cnt_inter;
pll lr[N];

int bin_pow(int x, int n) {
    int res = 1;
    while (n) {
        if ((n & 1)) res = res * x % MOD;
        n >>= 1;
        x = x * x % MOD;
    }
    return res;
}

int scan() {
    int x; cin >> x;
    return x;
}

string read() {
    string s; cin >> s;
    return s;
}

int get_pos(int time, int m, int i, string &napravlenie) {
    time += a[i];
    int z = time / m + (napravlenie[i] == 'R' ? 0 : 1);
    return (z % 2 ? m - time % m : time % m + 1);
}

void SLAVA_MORDOVII() {
    int TYPE = scan();
    int n = scan(), m = scan();
    for (int i = 0; i < n; i++) a[i] = scan();
    string s = read();
    if (m % 2 == 0) {
        cout << "No\n";
    }
    else cout << "Yes\n";
}

int32_t main() {
    SLAVA_MORDOVII();
}